Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2142356 - goverlay doesn't launch because mesa-libGLU isn't pulled in as a dependency
Summary: goverlay doesn't launch because mesa-libGLU isn't pulled in as a dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: goverlay
Version: 36
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Artem
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-11-13 11:07 UTC by kocelfc
Modified: 2022-11-23 01:19 UTC (History)
1 user (show)

Fixed In Version: goverlay-0.9-2.fc37 goverlay-0.9-2.fc36 goverlay-0.9-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-23 01:16:24 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description kocelfc 2022-11-13 11:07:43 UTC
When I try to run goverlay from the terminal it ends up with this:


[FORMS.PP] ExceptionOccurred 
  Sender=Exception
  Exception=Could not load library: libGLU.so.1
  Stack trace:
  $00000000007C671B
Exception at 00000000007C671B: Exception:
Could not load library: libGLU.so.1.

Comment 1 Fedora Update System 2022-11-14 13:20:59 UTC
FEDORA-2022-0d3bb19cf8 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-0d3bb19cf8

Comment 2 Fedora Update System 2022-11-14 13:30:45 UTC
FEDORA-2022-e19b6cfdcc has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e19b6cfdcc

Comment 3 Fedora Update System 2022-11-14 13:52:58 UTC
FEDORA-2022-1c1fea0878 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-1c1fea0878

Comment 4 Artem 2022-11-14 14:01:59 UTC
Thanks for reporting. I guess this could happened because you disabled installing weak deps in DNF. mesa-libGLU comes with mesa-demos package. It should been fixed now. Please test update.

Comment 5 Fedora Update System 2022-11-15 02:22:53 UTC
FEDORA-2022-1c1fea0878 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-1c1fea0878`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-1c1fea0878

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-11-15 02:35:24 UTC
FEDORA-2022-0d3bb19cf8 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-0d3bb19cf8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-0d3bb19cf8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-11-15 02:36:31 UTC
FEDORA-2022-e19b6cfdcc has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-e19b6cfdcc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e19b6cfdcc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 kocelfc 2022-11-15 12:34:46 UTC
All good now. Thanks for the quick reaction!

Comment 9 Fedora Update System 2022-11-23 01:16:24 UTC
FEDORA-2022-0d3bb19cf8 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-11-23 01:19:22 UTC
FEDORA-2022-e19b6cfdcc has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2022-11-23 01:19:50 UTC
FEDORA-2022-1c1fea0878 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.